import { ApproveAndRunQueuedAutomationDocument, QueuedAutomation } from '../API';
import { CRUDService, ICrudService, MutationOptionsWithoutMutation } from '../core';
export declare class QueuedAutomationService extends CRUDService<QueuedAutomation> {
    protected hasOneModels: ICrudService<QueuedAutomation>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").QueuedAutomationGetQuery>, "query">) => Promise<{
        __typename?: "QueuedAutomation";
        id: string;
        approval?: string;
        firedDate?: any;
        fired?: boolean;
        payload?: any;
        status?: import("../API").EmailStatus;
        seen?: boolean;
        created_at: any;
        updated_at: any;
        account?: {
            __typename?: "Account";
            id: string;
            admin?: {
                __typename?: "Admin";
                id: string;
                firstName?: string;
                lastName?: string;
                email: string;
                avatar?: string;
            };
        };
        automation?: {
            __typename?: "Automation";
            id: string;
            queryLiteral?: any[][];
            created_at: any;
            alertDataTemplate?: {
                __typename?: "AlertDataTemplate";
                id: string;
                subject: string;
                callsToAction?: import("../API").CallsToAction[];
                description: string;
                senderType?: import("../API").SurveySenderType;
                greetingOption?: import("../API").GreetingOption;
                name?: string;
                greetingText?: string;
                delaySendTime?: number;
                emailTo?: import("../API").EmailToType;
                accountRoleName?: string;
                ccTeamMemberEmails?: string[];
                bccTeamMemberEmails?: string[];
                ccUserEmails?: string[];
                bccUserEmails?: string[];
                ccAccountRoles?: string[];
                bccAccountRoles?: string[];
                salutationText?: string;
                salutationOption?: import("../API").SalutationOptionType;
                specificTeamMemberID?: string;
                surveyID?: string;
                salutationTemplate?: {
                    __typename?: "DynamicHtmlTemplate";
                    id: string;
                    name?: string;
                    html?: string;
                };
                attachments?: {
                    __typename?: "Attachment";
                    id: string;
                    mimeType: string;
                    description: string;
                    signedUrl: string;
                    alertDataTemplateID?: string;
                }[];
                dynamicHtmlTemplate?: {
                    __typename?: "DynamicHtmlTemplate";
                    id: string;
                    html?: string;
                    name?: string;
                };
                specificTeamMember?: {
                    __typename?: "Admin";
                    id: string;
                    lastName?: string;
                    firstName?: string;
                    avatar?: string;
                    email: string;
                };
                properties?: {
                    __typename?: "PropertyMap";
                    id: string;
                    name: string;
                    sortIndex?: number;
                }[];
            };
            playbook?: {
                __typename?: "Playbook";
                id: string;
                name?: string;
                assignedObject?: import("../API").PlayBookObject;
            };
            segment?: {
                __typename?: "Segment";
                id: string;
                name: string;
                type?: import("../API").SegmentType;
            };
        };
        user?: {
            __typename?: "User";
            id: string;
            firstName?: string;
            lastName?: string;
            fullName?: string;
            email?: string;
            accounts?: {
                __typename?: "Account";
                id: string;
                displayName?: string;
            }[];
        };
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").QueuedAutomationGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").QueuedAutomationGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").QueuedAutomationGetQuery;
        previousData?: import("../API").QueuedAutomationGetQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").QueuedAutomationGetQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").QueuedAutomationGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").QueuedAutomationGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").QueuedAutomationGetQuery>, "variables">) => import("../API").QueuedAutomationGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").QueuedAutomationGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationGetQuery>>;
        fetchMore: <TFetchData = import("../API").QueuedAutomationGetQuery, TFetchVars = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").QueuedAutomationGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").QueuedAutomationGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").QueuedAutomationsListQuery, import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>>>) => Promise<{
        __typename?: "QueuedAutomationConnection";
        totalCount: number;
        pageInfo: {
            __typename?: "PageInfo";
            startCursor?: any;
            hasPreviousPage?: boolean;
            hasNextPage?: boolean;
            endCursor?: any;
        };
        edges: {
            __typename?: "QueuedAutomationEdge";
            cursor: any;
            node: {
                __typename?: "QueuedAutomation";
                id: string;
                approval?: string;
                firedDate?: any;
                fired?: boolean;
                payload?: any;
                status?: import("../API").EmailStatus;
                seen?: boolean;
                created_at: any;
                updated_at: any;
                account?: {
                    __typename?: "Account";
                    id: string;
                    admin?: {
                        __typename?: "Admin";
                        id: string;
                        firstName?: string;
                        lastName?: string;
                        email: string;
                        avatar?: string;
                    };
                };
                automation?: {
                    __typename?: "Automation";
                    id: string;
                    queryLiteral?: any[][];
                    created_at: any;
                    alertDataTemplate?: {
                        __typename?: "AlertDataTemplate";
                        id: string;
                        subject: string;
                        callsToAction?: import("../API").CallsToAction[];
                        description: string;
                        senderType?: import("../API").SurveySenderType;
                        greetingOption?: import("../API").GreetingOption;
                        name?: string;
                        greetingText?: string;
                        delaySendTime?: number;
                        emailTo?: import("../API").EmailToType;
                        accountRoleName?: string;
                        ccTeamMemberEmails?: string[];
                        bccTeamMemberEmails?: string[];
                        ccUserEmails?: string[];
                        bccUserEmails?: string[];
                        ccAccountRoles?: string[];
                        bccAccountRoles?: string[];
                        salutationText?: string;
                        salutationOption?: import("../API").SalutationOptionType;
                        specificTeamMemberID?: string;
                        surveyID?: string;
                        salutationTemplate?: {
                            __typename?: "DynamicHtmlTemplate";
                            id: string;
                            name?: string;
                            html?: string;
                        };
                        attachments?: {
                            __typename?: "Attachment";
                            id: string;
                            mimeType: string;
                            description: string;
                            signedUrl: string;
                            alertDataTemplateID?: string;
                        }[];
                        dynamicHtmlTemplate?: {
                            __typename?: "DynamicHtmlTemplate";
                            id: string;
                            html?: string;
                            name?: string;
                        };
                        specificTeamMember?: {
                            __typename?: "Admin";
                            id: string;
                            lastName?: string;
                            firstName?: string;
                            avatar?: string;
                            email: string;
                        };
                        properties?: {
                            __typename?: "PropertyMap";
                            id: string;
                            name: string;
                            sortIndex?: number;
                        }[];
                    };
                    playbook?: {
                        __typename?: "Playbook";
                        id: string;
                        name?: string;
                        assignedObject?: import("../API").PlayBookObject;
                    };
                    segment?: {
                        __typename?: "Segment";
                        id: string;
                        name: string;
                        type?: import("../API").SegmentType;
                    };
                };
                user?: {
                    __typename?: "User";
                    id: string;
                    firstName?: string;
                    lastName?: string;
                    fullName?: string;
                    email?: string;
                    accounts?: {
                        __typename?: "Account";
                        id: string;
                        displayName?: string;
                    }[];
                };
            };
        }[];
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").QueuedAutomationsListQuery, import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").QueuedAutomationsListQuery, import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>;
        data: import("../API").QueuedAutomationsListQuery;
        previousData?: import("../API").QueuedAutomationsListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").QueuedAutomationsListQuery, TSubscriptionVariables = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").QueuedAutomationsListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(mapFn: (previousQueryResult: import("../API").QueuedAutomationsListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").QueuedAutomationsListQuery>, "variables">) => import("../API").QueuedAutomationsListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationsListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>, import("../API").QueuedAutomationsListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationsListQuery>>;
        fetchMore: <TFetchData = import("../API").QueuedAutomationsListQuery, TFetchVars = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").QueuedAutomationsListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").QueuedAutomationsListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get listForPolling(): (input: import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").QueuedAutomationsListForPollingQuery, import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>>>) => Promise<{
        __typename?: "QueuedAutomationConnection";
        totalCount: number;
        pageInfo: {
            __typename?: "PageInfo";
            startCursor?: any;
            hasPreviousPage?: boolean;
            hasNextPage?: boolean;
            endCursor?: any;
        };
        edges: {
            __typename?: "QueuedAutomationEdge";
            cursor: any;
            node: {
                __typename?: "QueuedAutomation";
                id: string;
            };
        }[];
    }>;
    get useListForPolling(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").QueuedAutomationsListForPollingQuery, import("../API").Exact<{
        sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
        paging?: import("../API").CursorPaging;
        filter?: import("../API").QueuedAutomationFilter;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").QueuedAutomationsListForPollingQuery, import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>;
        data: import("../API").QueuedAutomationsListForPollingQuery;
        previousData?: import("../API").QueuedAutomationsListForPollingQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").QueuedAutomationsListForPollingQuery, TSubscriptionVariables = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").QueuedAutomationsListForPollingQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(mapFn: (previousQueryResult: import("../API").QueuedAutomationsListForPollingQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").QueuedAutomationsListForPollingQuery>, "variables">) => import("../API").QueuedAutomationsListForPollingQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationsListForPollingQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>, import("../API").QueuedAutomationsListForPollingQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").QueuedAutomationsListForPollingQuery>>;
        fetchMore: <TFetchData = import("../API").QueuedAutomationsListForPollingQuery, TFetchVars = import("../API").Exact<{
            sorting?: import("../API").QueuedAutomationSort | import("../API").QueuedAutomationSort[];
            paging?: import("../API").CursorPaging;
            filter?: import("../API").QueuedAutomationFilter;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").QueuedAutomationsListForPollingQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").QueuedAutomationsListForPollingQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get update(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<QueuedAutomation>, import("../../..").ModelWithId>> & Omit<import("../API").UpdateQueuedAutomation, import("../core").HasOneRelationsOf<QueuedAutomation>> & {
        id: string;
    }, options?: MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOneQueuedAutomationMutation, import("../API").Exact<{
        input: import("../API").UpdateOneQueuedAutomationInput;
    }>>>) => Promise<{
        __typename?: "QueuedAutomation";
        id: string;
        approval?: string;
        firedDate?: any;
        fired?: boolean;
        payload?: any;
        status?: import("../API").EmailStatus;
        seen?: boolean;
        created_at: any;
        updated_at: any;
        account?: {
            __typename?: "Account";
            id: string;
            admin?: {
                __typename?: "Admin";
                id: string;
                firstName?: string;
                lastName?: string;
                email: string;
                avatar?: string;
            };
        };
        automation?: {
            __typename?: "Automation";
            id: string;
            queryLiteral?: any[][];
            created_at: any;
            alertDataTemplate?: {
                __typename?: "AlertDataTemplate";
                id: string;
                subject: string;
                callsToAction?: import("../API").CallsToAction[];
                description: string;
                senderType?: import("../API").SurveySenderType;
                greetingOption?: import("../API").GreetingOption;
                name?: string;
                greetingText?: string;
                delaySendTime?: number;
                emailTo?: import("../API").EmailToType;
                accountRoleName?: string;
                ccTeamMemberEmails?: string[];
                bccTeamMemberEmails?: string[];
                ccUserEmails?: string[];
                bccUserEmails?: string[];
                ccAccountRoles?: string[];
                bccAccountRoles?: string[];
                salutationText?: string;
                salutationOption?: import("../API").SalutationOptionType;
                specificTeamMemberID?: string;
                surveyID?: string;
                salutationTemplate?: {
                    __typename?: "DynamicHtmlTemplate";
                    id: string;
                    name?: string;
                    html?: string;
                };
                attachments?: {
                    __typename?: "Attachment";
                    id: string;
                    mimeType: string;
                    description: string;
                    signedUrl: string;
                    alertDataTemplateID?: string;
                }[];
                dynamicHtmlTemplate?: {
                    __typename?: "DynamicHtmlTemplate";
                    id: string;
                    html?: string;
                    name?: string;
                };
                specificTeamMember?: {
                    __typename?: "Admin";
                    id: string;
                    lastName?: string;
                    firstName?: string;
                    avatar?: string;
                    email: string;
                };
                properties?: {
                    __typename?: "PropertyMap";
                    id: string;
                    name: string;
                    sortIndex?: number;
                }[];
            };
            playbook?: {
                __typename?: "Playbook";
                id: string;
                name?: string;
                assignedObject?: import("../API").PlayBookObject;
            };
            segment?: {
                __typename?: "Segment";
                id: string;
                name: string;
                type?: import("../API").SegmentType;
            };
        };
        user?: {
            __typename?: "User";
            id: string;
            firstName?: string;
            lastName?: string;
            fullName?: string;
            email?: string;
            accounts?: {
                __typename?: "Account";
                id: string;
                displayName?: string;
            }[];
        };
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOneQueuedAutomationMutation, import("../API").Exact<{
        input: import("../API").UpdateOneQueuedAutomationInput;
    }>>>>) => [({ id, ...input }: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<QueuedAutomation>, import("../../..").ModelWithId>> & import("../API").UpdateQueuedAutomation & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOneQueuedAutomationMutation, import("../API").Exact<{
        input: import("../API").UpdateOneQueuedAutomationInput;
    }>>>>) => Promise<any>, import("@apollo/client").MutationResult<any>];
    get useMyTeamEmailQueue(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetMyTeamEmailQueueQuery, import("../API").Exact<{
        adminId: string;
        organizationId: string;
        skip: number;
        take: number;
        status?: import("../API").EmailStatus | import("../API").EmailStatus[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetMyTeamEmailQueueQuery, import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>>;
        data: import("../API").GetMyTeamEmailQueueQuery;
        previousData?: import("../API").GetMyTeamEmailQueueQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetMyTeamEmailQueueQuery, TSubscriptionVariables = import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetMyTeamEmailQueueQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>>(mapFn: (previousQueryResult: import("../API").GetMyTeamEmailQueueQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetMyTeamEmailQueueQuery>, "variables">) => import("../API").GetMyTeamEmailQueueQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetMyTeamEmailQueueQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>, import("../API").GetMyTeamEmailQueueQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetMyTeamEmailQueueQuery>>;
        fetchMore: <TFetchData = import("../API").GetMyTeamEmailQueueQuery, TFetchVars = import("../API").Exact<{
            adminId: string;
            organizationId: string;
            skip: number;
            take: number;
            status?: import("../API").EmailStatus | import("../API").EmailStatus[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetMyTeamEmailQueueQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetMyTeamEmailQueueQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    approveAndRunQueuedAutomation(options?: MutationOptionsWithoutMutation<typeof ApproveAndRunQueuedAutomationDocument>): Promise<import("@apollo/client").FetchResult<import("../API").ApproveAndRunQueuedAutomationMutation>>;
}
